%define anolis_release 3
%{!?_vpath_builddir:%global _vpath_builddir %{_target_platform}}
Name:           deepin-devicemanager
Version:        5.6.36
Release:        2.%{anolis_release}%{?dist}
Summary:        Device Manager is a handy tool for viewing hardware information and managing the devices
License:        GPLv3+
URL:            https://github.com/linuxdeepin/deepin-devicemanager
Source0:        %{name}-%{version}.tar.gz

# add A help file
Patch0:         0001-feat-add-A-help-files.patch
# fix bug:188969
Patch1:         0002-fix-Ethernet-Controller-X710-disable.patch

BuildRequires: gcc-c++
BuildRequires: cmake3
BuildRequires: dtkwidget-devel
BuildRequires: dtkgui-devel
BuildRequires: systemd-devel
BuildRequires: libicu-devel
BuildRequires: qt5-rpm-macros
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qttools-devel
BuildRequires: cups-devel
BuildRequires: pkgconfig(dframeworkdbus)
BuildRequires: zeromq-devel
BuildRequires: gtest-devel
BuildRequires: qt5-qtbase-private-devel

Requires: smartmontools
Requires: dmidecode
#Requires: xorg-x11-server-utils
Requires: hwinfo
Requires: cups
Requires: upower
Requires: deepin-shortcut-viewer
Requires: lshw
Requires: util-linux

%description
%{summary}.

%prep
%autosetup -p1

%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
sed -i "s|^cmake_minimum_required.*|cmake_minimum_required(VERSION 3.0)|" $(find . -name "CMakeLists.txt")

mkdir build && pushd build
%cmake ../ -DCMAKE_BUILD_TYPE=Release -DAPP_VERSION=%{version} -DVERSION=%{version}
%make_build -C %{_vpath_builddir}
popd

%install
%make_install -C build/%{_vpath_builddir} INSTALL_ROOT="%buildroot"

%post
systemctl enable deepin-devicemanager-server.service


%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/translations/*.qm
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
/lib/systemd/system/deepin-devicemanager-server.service
%{_bindir}/deepin-devicemanager-server
%{_datadir}/deepin-manual/manual-assets/application/deepin-devicemanager/device-manager/*
/etc/dbus-1/system.d/com.deepin.devicemanager.conf

%changelog
* Thu Jan 18 2024 yangxianzhao <yangxianzhao@uniontech.com> - 5.6.36-2.3
- update Requires

* Tue Nov 07 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.6.36-2.2
- rebuild for qt

* Wed Nov 01 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.6.36-2.1
- fix build error

* Fri Apr 14 2023 liweiganga <liweiganga@uniontech.com> - 5.6.36-2
- feat: Ethernet Controller X710 disable(bugid:188969)

* Tue Apr 04 2023 liweiganga <liweiganga@uniontech.com> - 5.6.36-1
- update: update to 5.6.36

* Wed Mar 22 2023 liweiganga <liweiganga@uniontech.com> - 5.6.35-2
- feat: add A help files

* Fri Mar 10 2023 liweiganga <liweiganga@uniontech.com> - 5.6.35-1
- update: update to 5.6.35

* Thu Feb 09 2023 liweiganga <liweiganga@uniontech.com> - 5.6.34-2
- feat: rewrite loadDeviceInfo and updateDeviceInfo

* Mon Jan 16 2023 liweiganga <liweiganga@uniontech.com> - 5.6.34-1.01
- rebuild
- spec: fix bogus date in %changelog

* Fri Nov 04 2022 uoser <uoser@uniontech.com> - 5.6.34-1
- update: update to 5.6.34-1

